# -*- coding: utf-8 -*-
# Generated by Django 1.11.22 on 2019-08-05 09:32
from __future__ import unicode_literals

from django.db import migrations, models


def preserve_issue_types(apps, schema_editor):
    Issue = apps.get_model('journal', 'Issue')

    for issue in Issue.objects.all():
        issue.old_issue_type, issue.issue_type = issue.issue_type, None
        issue.save()


def restore_issue_types(apps, schema_editor):
    Issue = apps.get_model('journal', 'Issue')

    for issue in Issue.objects.all():
        issue.issue_type, issue.old_issue_type = issue.old_issue_type, None
        issue.save()


class Migration(migrations.Migration):
    dependencies = [
        ('journal', '0030_increase_journal_code_length'),
        ('utils', '0011_upgrade_1_3_5'),
    ]

    operations = [
        migrations.AddField(
            model_name='issue',
            name='old_issue_type',
            field=models.CharField(
                choices=[('Issue', 'Issue'), ('Collection', 'Collection')],
                default='Issue', max_length=200,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name='issue',
            name='issue_type',
            field=models.CharField(choices=[('Issue', 'Issue'), ('Collection', 'Collection')], default='Issue', max_length=200, null=True),
        ),
        migrations.RunPython(
            preserve_issue_types,
            reverse_code=restore_issue_types,
        ),
    ]
